How can I use "Xacto Cross Section Tool" in ArcGIS 10.4 when VBA is not supported in ArcGIS 10.4?

2585
1
09-15-2016 03:28 AM
Highlighted
New Contributor

I want to use the Xacto Cross Section Tool (https://www.arcgis.com/home/item.html?id=54584a5e302e4014a495b8fc37fe0663 ) on ArcMap 10.4 but to run this tool you need to use VBA for ArcGIS which is not supported anymore in the version 10.4. Does anybody now about any solution?

Thanks in advance!

Reply
0 Kudos
1 Reply
Highlighted
Regular Contributor II

Have you tried installing the VBA compatibility toolkit to see if the tool runs? VBA is no longer supported, but you should be able to continue to consume VBA extensions. If the tool were to fail or throw an exception you'd want to convert it to a supported language (i.e. Java, C++ or .NET). Looking at the sample you posted all of the code is hosted within the Map Document. Have you tried converting this to a COM Component or Addin in a supported language?